Subject: Re: Bug in pthread_cond_signal under Win NT 4.0
From: "Robert Collins" <[email-masked]>
To: "James E. LaBarre" <[email-masked]>, "Randall R Schulz" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 17 Jul 2001 22:07:50 +1000

Not true!

1) It's a mailing list. Mailing lists have a well known ettiquette, which is
documented, both via polite complaints, and via various discussions and
debates in the past. Some lists have slightly different rules, but "keep
replies to the list unless you _want_ a private discussion" is one of the
standard elements.
2) Most list servers today add headers specifying the list that the message
was sent to, and good mail clients have a reply-to-list function.
Reply-to-all is also a useful option for less functional mail clients such
as MS Outlook.
3) Reply-To is an element of (IIRC) rfc 822, which mailing lists by their
very nature are acting as a proxy/expander/remailer. There are conflicting
desires in that function. Changing the reply-to address is interfering with
the original message, not the transmission envelope - which shouldn't be
done.

But you are welcome to your own opinion. Understand that this list has this
particular question approximately once every two months, and that with a
user base in the thousands obviously very are hugely motivated to see it
change.

Rob

----- Original Message -----
From: "James E. LaBarre" <[email-masked]>
To: "Randall R Schulz" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 17, 2001 9:03 PM
Subject: Re: Bug in pthread_cond_signal under Win NT 4.0

> If you insist that "reply-to" doesn't get used, then you have no right
> to complain when replies don't get sent to the list.
>
>
> Randall R Schulz wrote:
> >
> > Wow! Synchronicity.
> >
> > This just came up on the Macintosh Java Developers' list today.
> >
> > Please read this, if you think the Reply-To business is a good idea
('cause
> > it ain't):
> >          <http://www.unicom.com/pw/reply-to-harmful.html>.
> >
> > Randall Schulz
> > Mountain View, CA USA
> >
> > At 15:12 2001-07-16, James E. LaBarre wrote:
> > >Isn't there a way to get the CygWin mail lists to include the "Reply
To"
> > >field, so that this would automatically be done with most email apps?
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/